<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE TS><TS version="1.1" language="de_DE">
<context>
    <name>FBDialog</name>
    <message>
        <location filename="../ui/FBDialog.ui" line="28"/>
        <source>Insert Function Block</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FBDialog.ui" line="52"/>
        <source>Ok</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/fbdialog.cpp" line="439"/>
        <source>Accept selection and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FBDialog.ui" line="62"/>
        <source>Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/fbdialog.cpp" line="444"/>
        <source>Cancel selection and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FBDialog.ui" line="155"/>
        <source>Insert with call model</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/fbdialog.cpp" line="449"/>
        <source>Insert function block with call model</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FBDialog.ui" line="117"/>
        <source>Insert with datat types as comment</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/fbdialog.cpp" line="454"/>
        <source>Insert function block with datat types as comment next to the call model items</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>FileViewDialog</name>
    <message>
        <location filename="../ui/FileViewDialog.ui" line="16"/>
        <source>File View</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FileViewDialog.ui" line="88"/>
        <source>Compatibility:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FileViewDialog.ui" line="133"/>
        <source>clean POU (.txt)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/fileviewdialog.cpp" line="82"/>
        <source>Select an extension to show complete file content</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FileViewDialog.ui" line="143"/>
        <source>CoDeSys (.EXP)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/fileviewdialog.cpp" line="88"/>
        <source>Siemens AWL (.AWL</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FileViewDialog.ui" line="153"/>
        <source>Siemens SCL (.scl)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FileViewDialog.ui" line="158"/>
        <source>KW-Software IL (.IL)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FileViewDialog.ui" line="163"/>
        <source>KW-Software ST (.ST)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FileViewDialog.ui" line="138"/>
        <source>Moeller Sucosoft (.poe)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FileViewDialog.ui" line="148"/>
        <source>Siemens AWL (.AWL)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/fileviewdialog.cpp" line="85"/>
        <source>plain POU (.txt)</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>FindDialog</name>
    <message>
        <location filename="../src/finddialog.cpp" line="198"/>
        <source>Search now on the opposite window.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="149"/>
        <source>Find and Replace</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="152"/>
        <source>Replace all</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="153"/>
        <source>replace all found matches</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="157"/>
        <source>Previews</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="158"/>
        <source>Find previews matching word</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="162"/>
        <source>Next</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="163"/>
        <source>Find/replace next matching word</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="167"/>
        <source>Close</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="168"/>
        <source>Close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="172"/>
        <source>Find:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="173"/>
        <source>Search for word in edit field</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="180"/>
        <source>Replace with:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="181"/>
        <source>Replace word in find field with word in replace with field</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="188"/>
        <source>Find case senitive</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="189"/>
        <source>Search with case sensitive activated</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="193"/>
        <source>Must match whole word</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/finddialog.cpp" line="194"/>
        <source>Find string must match exact</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>FindReplaceDialog</name>
    <message>
        <location filename="../ui/FindReplaceDialog.ui" line="34"/>
        <source>Find and Replace</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FindReplaceDialog.ui" line="72"/>
        <source>Find:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FindReplaceDialog.ui" line="120"/>
        <source>Replace with:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FindReplaceDialog.ui" line="168"/>
        <source>Find case sensitive</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FindReplaceDialog.ui" line="245"/>
        <source>Must match whole word</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FindReplaceDialog.ui" line="309"/>
        <source>Replace All</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FindReplaceDialog.ui" line="350"/>
        <source>Previews</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FindReplaceDialog.ui" line="391"/>
        <source>Next</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FindReplaceDialog.ui" line="435"/>
        <source>Close</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>FncDialog</name>
    <message>
        <location filename="../ui/FncDialog.ui" line="28"/>
        <source>Function Type Selection</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="52"/>
        <source>Ok</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/fncdialog.cpp" line="75"/>
        <source>Accept selection and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="62"/>
        <source>Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/fncdialog.cpp" line="80"/>
        <source>Cancel selection and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="130"/>
        <source> Function Types</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="135"/>
        <source>Binary</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="142"/>
        <source>BOOL</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="150"/>
        <source>BOOL_F_EDGE</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="158"/>
        <source>BOOL_R_EDGE</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="166"/>
        <source>BOOL_EXP</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="174"/>
        <source>BYTE</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="182"/>
        <source>BYTE_EXP</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="190"/>
        <source>WORD</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="199"/>
        <source>Date and Time</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="206"/>
        <source>DATE</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="214"/>
        <source>DATE_AND_TIME</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="222"/>
        <source>DT</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="230"/>
        <source>TIME</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="238"/>
        <source>TIME_OF_DAY</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="246"/>
        <source>TOD</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="255"/>
        <source>Integer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="262"/>
        <source>INT</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="270"/>
        <source>SINT</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="278"/>
        <source>SINT_EXP</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="286"/>
        <source>UINT</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="294"/>
        <source>USINT</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="302"/>
        <source>USINT_EXP</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="311"/>
        <source>Strings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/FncDialog.ui" line="318"/>
        <source>STRING</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>HelpWidget</name>
    <message>
        <location filename="../src/helpwidget.cpp" line="123"/>
        <source>PLCEdit Help</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/helpwidget.cpp" line="125"/>
        <source>Go back</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/helpwidget.cpp" line="128"/>
        <source>Go forward</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/helpwidget.cpp" line="131"/>
        <source>Return to the beginning of the document</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/HelpWidget.ui" line="19"/>
        <source>Help</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/helpwidget.cpp" line="137"/>
        <source>Open the project homepage</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/helpwidget.cpp" line="134"/>
        <source>Find search string</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/HelpWidget.ui" line="357"/>
        <source>&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:&apos;Lucida Grande&apos;; font-size:13pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:&apos;MS Shell Dlg 2&apos;; font-size:8pt;&quot;&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>ImportExport</name>
    <message>
        <location filename="../src/importexport.cpp" line="201"/>
        <source>open file</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/importexport.cpp" line="202"/>
        <source>batch progress</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>MainWindow</name>
    <message>
        <location filename="../src/mainwindow.cpp" line="970"/>
        <source> Preferences Error</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="971"/>
        <source>A settings error was dected.
The defaults have been set.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="616"/>
        <source>Ctrl+Alt+F</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="776"/>
        <source>Minimize</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="777"/>
        <source>Ctrl+M</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="604"/>
        <source>Ctrl+Alt+P</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="605"/>
        <source>Create a new program</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="610"/>
        <source>Ctrl+Alt+B</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="617"/>
        <source>Create a new function</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="622"/>
        <source>Ctrl+Alt+L</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="623"/>
        <source>Create a new global variable list</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="627"/>
        <source>&amp;Open...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="628"/>
        <source>Ctrl+O</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="629"/>
        <source>Open an existing file</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="633"/>
        <source>&amp;POU Info...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="634"/>
        <source>Ctrl+I</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="635"/>
        <source>Open POU info dialog</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="639"/>
        <source>Program</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="640"/>
        <source>Alter POU type to program</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="644"/>
        <source>Functionblock</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="645"/>
        <source>Alter POU type to functionblock</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="649"/>
        <source>Function...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="650"/>
        <source>Alter POU type to function</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="654"/>
        <source>&amp;Manage Sessions...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="655"/>
        <source>Ctrl+F11</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="656"/>
        <source>Open session manager</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="660"/>
        <source>&amp;Save Sessions...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="661"/>
        <source>Ctrl+Alt+F11</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="662"/>
        <source>Save actual pages as session</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="667"/>
        <source>&amp;Save</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="668"/>
        <source>Ctrl+S</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="669"/>
        <source>Save actual page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="673"/>
        <source>Save &amp;As...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="674"/>
        <source>Ctrl+Alt+S</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="675"/>
        <source>Save actual page with new name</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="679"/>
        <source>Batch converting...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="680"/>
        <source>Ctrl+D</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="681"/>
        <source>Convert all pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="686"/>
        <source>&amp;Print...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="687"/>
        <source>Ctrl+P</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="688"/>
        <source>Print actual page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="692"/>
        <source>&amp;Export as PDF...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="693"/>
        <source>Export actual page to PDF file</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="698"/>
        <source>&amp;Close Page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="699"/>
        <source>Ctrl+W</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="700"/>
        <source>Close actual page</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="704"/>
        <source>&amp;Close All Pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="705"/>
        <source>Ctrl+Alt+W</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="706"/>
        <source>Close all pages</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="710"/>
        <source>E&amp;xit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="711"/>
        <source>Ctrl+Q</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="717"/>
        <source>&amp;Undo</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="718"/>
        <source>Ctrl+Z</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="719"/>
        <source>Undo last typing</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="723"/>
        <source>&amp;Redo</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="724"/>
        <source>Ctrl+Y</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="725"/>
        <source>Redo last undo</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="729"/>
        <source>Cu&amp;t</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="730"/>
        <source>Ctrl+X</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="731"/>
        <source>Cut selected text to clipboard</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="735"/>
        <source>&amp;Copy</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="736"/>
        <source>Ctrl+C</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="737"/>
        <source>Copy selected text to clipboard</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="741"/>
        <source>&amp;Paste</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="742"/>
        <source>Ctrl+V</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="743"/>
        <source>Insert text from clipboard at selection</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="747"/>
        <source>Select &amp;all</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="748"/>
        <source>Ctrl+A</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="749"/>
        <source>Select all text in the current window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="753"/>
        <source>&amp;Find...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="754"/>
        <source>Ctrl+F</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="755"/>
        <source>Find and replace the given item</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="760"/>
        <source>Window &amp;horizontal split mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="761"/>
        <source>Change window alignment to horizontal</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="765"/>
        <source>Window &amp;vertical split mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="766"/>
        <source>Change window alignment to vertical</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="770"/>
        <source>Show &amp;Declarations</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="772"/>
        <source>Show declarations window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="799"/>
        <source>&amp;Show File content</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="801"/>
        <source>Show complete file content</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="806"/>
        <source>&amp;Preferences...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="808"/>
        <source>Ctrl+,</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="810"/>
        <source>Ctrl+F12</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="816"/>
        <source>&amp;IL</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="817"/>
        <source>Change programming language to IL/AWL</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="821"/>
        <source>&amp;ST</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="822"/>
        <source>Change programming language to ST</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="833"/>
        <source>&amp;About...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="834"/>
        <source>Show the application&apos;s About box</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="838"/>
        <source>About &amp;Qt ...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="839"/>
        <source>Show the Qt library&apos;s About box</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="849"/>
        <source>Help bubbles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="854"/>
        <source>Send bugreport</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="860"/>
        <source>Insert LD command</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="864"/>
        <source>Insert ST comand</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="868"/>
        <source>Insert JMP comand</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="924"/>
        <source>Insert functionblock call</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="876"/>
        <source>Insert AND comand</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="880"/>
        <source>Insert OR comand</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="884"/>
        <source>Insert assignement comand</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="888"/>
        <source>Insert SPA comand</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="896"/>
        <source>Insert network block</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="900"/>
        <source>Insert If Then Else block</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="904"/>
        <source>Insert Case block</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="908"/>
        <source>Insert For To Do loop</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="912"/>
        <source>Insert While Do loop</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="916"/>
        <source>Insert Repeat Until loop</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="920"/>
        <source>Insert assignement</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="929"/>
        <source>&amp;File</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="930"/>
        <source>&amp;New</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="931"/>
        <source>&amp;Alter POU type</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="932"/>
        <source>&amp;Sessions</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="935"/>
        <source>&amp;Edit</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="938"/>
        <source>&amp;View</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="941"/>
        <source>&amp;Tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="942"/>
        <source>&amp;Programming language</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="945"/>
        <source>&amp;Help</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="966"/>
        <source>printed with</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="952"/>
        <source>Bugreport</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="795"/>
        <source>Change cursor input to opposite window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="800"/>
        <source>F7</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="611"/>
        <source>Create a new function block</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="855"/>
        <source>Send a bug report by e-mail</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="967"/>
        <source>Printing Document</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="780"/>
        <source>Zoom</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="959"/>
        <source>Supported files (*.txt *.poe *.exp *.awl *.scl *.IL *.ST)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="603"/>
        <source>New &amp;Program</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="609"/>
        <source>New Function&amp;block</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="615"/>
        <source>New &amp;Function</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="621"/>
        <source>New &amp;Variablelist</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="712"/>
        <source>Exit </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="850"/>
        <source>Show help bubbles under mouse</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="949"/>
        <source>About</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="953"/>
        <source>Please report all noticed bugs and inconsistencies of</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="955"/>
        <source>POU type altered to</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="964"/>
        <source>Unable to save POU file:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="973"/>
        <source>Unable to save prototype file:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="956"/>
        <source>POU type was not altered.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="958"/>
        <source>Open POU files</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="962"/>
        <source>Save POU file</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="968"/>
        <source>Export to PDF</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="783"/>
        <source>Show &amp;File list</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="784"/>
        <source>F4</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="785"/>
        <source>Show file list on the left main window side</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="789"/>
        <source>&amp;Change Inputwindow</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="843"/>
        <source>&amp;Help...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="844"/>
        <source>F1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="845"/>
        <source>Show the application&apos;s help file</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="963"/>
        <source>plain POU (*.txt);;Moeller SucoSoft (*.poe);;CoDeSys (*.EXP);;Siemens AWL (*.AWL);;Siemens SCL (*.scl);;KW-Software IL (*.IL);;KW-Software ST (*.ST)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="812"/>
        <source>Open the preferences dialog</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="960"/>
        <source>Problems during open file:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="950"/>
        <source>PLCEdit is a small programming notepad for&lt;br&gt;PLC engineering, with support for sources of:&lt;br&gt;Moeller Sucosoft S40, 3S CoDeSys V2.3,&lt;br&gt;Siemens STEP 7 and KW-Software Multiprog.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="827"/>
        <source>Ctrl+B</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="826"/>
        <source>Insert Function &amp;block</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="828"/>
        <source>Insert function block with its call model</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/mainwindow.cpp" line="975"/>
        <source>page</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>POUInfoDialog</name>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="88"/>
        <source>POU Info</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="52"/>
        <source>Ok</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="62"/>
        <source>Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="166"/>
        <source>Project:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="186"/>
        <source>Version:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="206"/>
        <source>Name:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="226"/>
        <source>PLC Type:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="246"/>
        <source>Developer:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="266"/>
        <source>Date:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="287"/>
        <source>copy edit field into instruction section</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/POUInfoDialog.ui" line="293"/>
        <source>POU Prototype</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="240"/>
        <source>Accept inputs and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="245"/>
        <source>Cancel inputs and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="254"/>
        <source>copy edit field into instruction section of current window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="259"/>
        <source>Insert a project name</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="267"/>
        <source>Insert a version number</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="274"/>
        <source>Company:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="275"/>
        <source>Insert a company name</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="282"/>
        <source>PLC:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="283"/>
        <source>Insert a PLC name/notice</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="291"/>
        <source>Insert a developer name</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="299"/>
        <source>Insert the date of release</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pouinfodialog.cpp" line="249"/>
        <source>POU description</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PageCtrl</name>
    <message>
        <location filename="../src/pagectrl.cpp" line="284"/>
        <source>untitled</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pagectrl.cpp" line="1252"/>
        <source>Close page</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathExtDialog</name>
    <message>
        <location filename="../src/pathextdialog.cpp" line="120"/>
        <source>Open Directory</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="34"/>
        <source>Path and Extension Dialog</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="52"/>
        <source>Path:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="118"/>
        <source>...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="71"/>
        <source>Compatibility:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="155"/>
        <source>clean POU (.txt)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="160"/>
        <source>Moeller POE (.poe)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="165"/>
        <source>CoDeSys (.EXP)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="207"/>
        <source>Ok</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="226"/>
        <source>Close</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathextdialog.cpp" line="92"/>
        <source>Accept inputs and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathextdialog.cpp" line="97"/>
        <source>Cancel settings and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathextdialog.cpp" line="102"/>
        <source>Set a path for file storage</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="150"/>
        <source>only copy</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="175"/>
        <source>KW-Software (.IL / .ST - keep current language) </source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathExtDialog.ui" line="170"/>
        <source>Siemens S7 (.awl / .scl - keep current language)</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathextdialog.cpp" line="88"/>
        <source>Batch converter</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathextdialog.cpp" line="101"/>
        <source>Result path:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathextdialog.cpp" line="113"/>
        <source>Select an extension for file conversion</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PathFileNameDialog</name>
    <message>
        <location filename="../src/pathfilenamedialog.cpp" line="118"/>
        <source>Open Directory</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathFileNameDialog.ui" line="34"/>
        <source>Save all page as project</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathFileNameDialog.ui" line="58"/>
        <source>Path:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathFileNameDialog.ui" line="70"/>
        <source>...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathFileNameDialog.ui" line="117"/>
        <source>Project Name:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathFileNameDialog.ui" line="196"/>
        <source>Ok</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PathFileNameDialog.ui" line="231"/>
        <source>Close</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathfilenamedialog.cpp" line="90"/>
        <source>Accept inputs and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathfilenamedialog.cpp" line="95"/>
        <source>Cancel settings and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathfilenamedialog.cpp" line="100"/>
        <source>Set a path for file storage</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathfilenamedialog.cpp" line="110"/>
        <source>Project name:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/pathfilenamedialog.cpp" line="111"/>
        <source>Insert a project name</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PrefDialog</name>
    <message>
        <location filename="../src/prefdialog.cpp" line="755"/>
        <source>Open Directory</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="34"/>
        <source>Preferences</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="58"/>
        <source>Default</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="90"/>
        <source>Ok</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="109"/>
        <source>Cancel</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="131"/>
        <source>Apply</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="175"/>
        <source>Main ToolBar</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="191"/>
        <source>Commads ToolBar</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="407"/>
        <source>Help bubbles</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="226"/>
        <source>Language</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="273"/>
        <source>Tab orientation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="299"/>
        <source>North</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="304"/>
        <source>South</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="309"/>
        <source>East</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="314"/>
        <source>West</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="337"/>
        <source>Window split mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="369"/>
        <source>Horizontal</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="374"/>
        <source>Vetical</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="441"/>
        <source>Programming language</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="469"/>
        <source>Structured Text</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="492"/>
        <source>Font size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="521"/>
        <source>6</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="526"/>
        <source>7</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="531"/>
        <source>8</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="536"/>
        <source>9</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="541"/>
        <source>10</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="546"/>
        <source>11</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="551"/>
        <source>12</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="556"/>
        <source>14</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="561"/>
        <source>16</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="566"/>
        <source>18</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="571"/>
        <source>20</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="606"/>
        <source>Font</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="682"/>
        <source>Tab width</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="750"/>
        <source>Session autoload</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="766"/>
        <source>Start with session manager</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="782"/>
        <source>Session error list</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="798"/>
        <source>Session autosave</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="814"/>
        <source>Autosave as project</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="851"/>
        <source>Save with prototype</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="883"/>
        <source>Sucosoft compatibility</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="906"/>
        <source>S40_VERSION = SucoSoft V4.00</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="911"/>
        <source>S40_VERSION = SucoSoft V5.00</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="982"/>
        <source>Auto save Interval [min]</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="950"/>
        <source>Auto save</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1105"/>
        <source>...</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1065"/>
        <source>Use the following path as standard</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1128"/>
        <source>Decalrations</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1144"/>
        <source>Instructions</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1160"/>
        <source>Prototype</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1176"/>
        <source>POU Info</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1274"/>
        <source>Interface</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1279"/>
        <source>Editor</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1284"/>
        <source>Sessions</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1289"/>
        <source>Save</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1294"/>
        <source>Print</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="542"/>
        <source>Reset Interface to default values</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="547"/>
        <source>Accept settings and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="552"/>
        <source>Cancel settings and close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="557"/>
        <source>Accept settings</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="570"/>
        <source>Show main toolbar</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="575"/>
        <source>Show commands toolbar</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="585"/>
        <source>Show Help bubbles under mouse cursor</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="589"/>
        <source>Split mode</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="590"/>
        <source>Set splitmode of active window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="600"/>
        <source>Set tab orientation</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="612"/>
        <source>Set interface language</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="620"/>
        <source>Set programming language</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="635"/>
        <source>Set font</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="643"/>
        <source>Set font size</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="651"/>
        <source>Set tabulator width</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="659"/>
        <source>Activate autosave for sessions</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="663"/>
        <source>Autosave as Project</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="664"/>
        <source>Activate autosave as project for sessions</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="669"/>
        <source>Load session manager at startup</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="674"/>
        <source>Load &apos;auto-session&apos; at startup</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="679"/>
        <source>Show error list for session file loading error</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="684"/>
        <source>Save with prototype file</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="689"/>
        <source>Auto save all opened files</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="693"/>
        <source>Auto save interval [min]</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="694"/>
        <source>Auto save interval timer</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="713"/>
        <source>Set Moeller Sucosoft compatibility</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="720"/>
        <source>Declarations</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="721"/>
        <source>Print with declarations section</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="726"/>
        <source>Print with instructions section</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="731"/>
        <source>Print with prototype section</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="736"/>
        <source>Print with POU Info section</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="702"/>
        <source>Set a path for open and save dialogs</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="594"/>
        <source>Vertical</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="464"/>
        <source>IL/AWL</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="569"/>
        <source>Main tools</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="574"/>
        <source>Commands</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="207"/>
        <source>File list</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="580"/>
        <source>Show file list on the left mainwindow site</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="732"/>
        <source>Syntax highlighter</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="630"/>
        <source>Activate syntax highlighters</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1194"/>
        <source>Sort function block call model list</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1299"/>
        <source>Advanced</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="746"/>
        <source>Sort entries of function block call model list by name. It is better to leave the list unsorted, because it is not guaranteed that the correct call model will be inserted if some FBs have the same name.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1226"/>
        <source>Use prog. language detection for .txt and .exp</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="741"/>
        <source>Use programming language detection for .txt and .exp files.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/PrefDialog.ui" line="1210"/>
        <source>Use simple IEC call model</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/prefdialog.cpp" line="751"/>
        <source>Insert function blocks with the simple IEC call model.</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>PrintPrepare</name>
    <message>
        <location filename="../src/printprepare.cpp" line="56"/>
        <source>POU Info section</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/printprepare.cpp" line="67"/>
        <source>Prototype section</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/printprepare.cpp" line="78"/>
        <source>Declaration section</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/printprepare.cpp" line="89"/>
        <source>Instruction section</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SessionDialog</name>
    <message>
        <location filename="../ui/SessionDialog.ui" line="28"/>
        <source>Session Manager</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/SessionDialog.ui" line="47"/>
        <source>Session List</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/SessionDialog.ui" line="176"/>
        <source>Load</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/SessionDialog.ui" line="226"/>
        <source>Save</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/SessionDialog.ui" line="276"/>
        <source>Delete</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/SessionDialog.ui" line="475"/>
        <source>Auto close</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/SessionDialog.ui" line="320"/>
        <source>Session Errors</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/SessionDialog.ui" line="393"/>
        <source>Error list:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../ui/SessionDialog.ui" line="516"/>
        <source>Close</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SessionManager</name>
    <message>
        <location filename="../src/sessionmanager.cpp" line="346"/>
        <source>The selected session file is faulty!
Maybe the file was not created on
this platform. See the error list.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="348"/>
        <source>Insert Session name:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="347"/>
        <source>The session file could not be saved!
Please try again.</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="316"/>
        <source>Close</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="317"/>
        <source>Close window</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="321"/>
        <source>Load</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="322"/>
        <source>Load selected session</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="326"/>
        <source>Save</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="327"/>
        <source>Save current pages to Session</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="331"/>
        <source>Delete</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="332"/>
        <source>Delete selected Session</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="336"/>
        <source>Auto close</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="337"/>
        <source>Close window after session loading</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="341"/>
        <source>Error list:</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/sessionmanager.cpp" line="342"/>
        <source>List of file opening errors</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>SingleAppLinux</name>
    <message>
        <location filename="../src/singleapplinux.cpp" line="100"/>
        <source>Lock file error</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/singleapplinux.cpp" line="85"/>
        <source>Unable to open lock file for reading:
%1</source>
        <translation type="unfinished"></translation>
    </message>
    <message>
        <location filename="../src/singleapplinux.cpp" line="100"/>
        <source>Unable open lock file for writing:
%1</source>
        <translation type="unfinished"></translation>
    </message>
</context>
<context>
    <name>tansl. language</name>
    <message>
        <location filename="../src/prefdialog.cpp" line="810"/>
        <source>LANG</source>
        <translation>English</translation>
    </message>
</context>
</TS>
